Package org.zkoss.stateless.sul

## Enum IVideo.Crossorigin

- java.lang.Object
- - java.lang.Enum<IVideo.Crossorigin>
  - - org.zkoss.stateless.sul.IVideo.Crossorigin

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IVideo.Crossorigin>`
  Enclosing interface:
    IVideo

      public static enum IVideo.Crossorigin
      extends java.lang.Enum<IVideo.Crossorigin>

  Specifies the crossorigin setting with `IVideo.withCrossorigin(Crossorigin)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ANONYMOUS` | CORS requests for this element will have the credentials flag set to 'same-origin'.
    `USE_CREDENTIALS` | CORS requests for this element will have the credentials flag set to 'include'.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IVideo.Crossorigin` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IVideo.Crossorigin[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANONYMOUS

          public static final IVideo.Crossorigin ANONYMOUS

      CORS requests for this element will have the credentials flag set to 'same-origin'.

    - #### USE_CREDENTIALS

          public static final IVideo.Crossorigin USE_CREDENTIALS

      CORS requests for this element will have the credentials flag set to 'include'.

  - ### Method Detail

    - #### values

          public static IVideo.Crossorigin[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IVideo.Crossorigin c : IVideo.Crossorigin.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IVideo.Crossorigin valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null